> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Skill

> Submit an ownership claim for a ClawHub skill.



## OpenAPI

````yaml /openapi.json post /v1/skills/{slug}/claim
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/skills/{slug}/claim:
    post:
      tags:
        - skills
      summary: Claim Skill
      description: Submit an ownership claim for a ClawHub skill.
      operationId: claim_skill_v1_skills__slug__claim_post
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ClaimResponse:
      properties:
        id:
          type: string
          title: Id
        skill_slug:
          type: string
          title: Skill Slug
        status:
          type: string
          title: Status
        verification_score:
          type: number
          title: Verification Score
        message:
          type: string
          title: Message
      type: object
      required:
        - id
        - skill_slug
        - status
        - verification_score
        - message
      title: ClaimResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````